#!/bin/bash
#

if [[ $0 == '/'* ]]; then
	ScriptLocation="`dirname $0`"
else
	ScriptLocation="`pwd`"/"`dirname $0`"
fi
echo "Install Shorewall config file syntax highlighting for Nano"
cp $ScriptLocation/files/shorewall.nanorc /usr/share/nano/
cp $ScriptLocation/files/shedit /usr/local/bin/
if [ `grep -c shorewall\.nanorc /etc/nanorc` = "0" ]; then
	echo "## Shorewall configuration files" >> /etc/nanorc
	echo "include \"/usr/share/nano/shorewall.nanorc\"" >> /etc/nanorc
else
	echo "Not adding entry to nanorc as it exists already"
fi

echo "Completed!"
